Subject: [OSPF] [Technical Errata Reported] RFC5185 (3595)

From: RFC Errata System <[email-masked]>
Date: Wed, 17 Apr 2013 03:19:16 -0700 (PDT)

The following errata report has been submitted for RFC5185,
"OSPF Multi-Area Adjacency".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=5185&eid=3595

--------------------------------------
Type: Technical
Reported by: Marek Karasek <[email-masked]>

Section: 4

Original Text
-------------
   A link-LSA SHOULD NOT be advertised for a multi-area adjacency.  The
   neighbor's IPv6 link local address can be learned in other ways,
   e.g., it can be extracted from the IPv6 header of Hello packets
   received over the multi-area adjacency.  The neighbor IPv6 link local
   address is required for the OSPFv3 route next-hop calculation on
   multi-access networks (refer to Section 3.8.1.1 of [OSPFV3]).

Corrected Text
--------------
OSPFv3 supports two Address Families (AF), AF IPv6 and AF IPv4, using separate instances [RFC 5338]. The route calculation differs for the IPv4 and IPv6 address families with respect to the next-hop determination. OSPFv3 instances supporting an IPv6 AF SHOULD learn the IPv6 next-hop address from the IPv6 Header source address and SHOULD NOT advertise a Link-LSA for a multi-area adjacency. However, for OSPFv3 instances supporting an IPv4 AF, the next-hop address cannot be learned from the OSPFv3 hellos and require advertisement of the Link-LSA. Hence, OSPFv3 instances supporting an IPv4 AF SHOULD advertise a Link-LSA for the a multi-area adjacency (refer to section 2.5 of [RFC 5838]). If the Link-LSA is not advertised, the OSPFv3 instance MAY learn the IPv4 next-hop address from the Link-LSA advertised on the primary adjacency. 

Notes
-----
RFC5185 describes next-hop calculation which is not applicable to OSPFv3 process supporting AF IPv4 as defined in RFC5838. Errata defines how RFC5838 OSPFv3 process supporting AF IPv4 calculates next-hop address on multi-area interface.

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC5185 (draft-ietf-ospf-multi-area-adj-09)
--------------------------------------
Title               : OSPF Multi-Area Adjacency
Publication Date    : May 2008
Author(s)           : S. Mirtorabi, P. Psenak, A. Lindem, Ed., A. Oswal
Category            : PROPOSED STANDARD
Source              : Open Shortest Path First IGP
Area                : Routing
Stream              : IETF
Verifying Party     : IESG